(
SynthDef(\noise_fade, {arg amp = 1, fadeTime = 30, gate = 0;
	Out.ar([0, 1], BrownNoise.ar * EnvGen.ar(Env.asr(fadeTime, 1, fadeTime, curve: 'lin'), gate) * amp);
}).add;
)

(
var noiseFade = Synth(\noise_fade);

OSCdef(\noise_fade, {arg msg, time, addr, port;
	[msg, time, addr, port].postln;
	if(msg[1] == 1, {
		noiseFade.set(\gate, 1)
	}, {
		noiseFade.set(\gate, 0)
	})
}, \noise_fade);

OSCdef(\noise_amp, {arg msg, time, addr, port;
	[msg, time, addr, port].postln;
	noiseFade.set(\amp, msg[1])
}, \noise_amp);
)

n = NetAddr("127.0.0.1", 57120)
n.sendMsg('/noise_fade', 0)
OSCFunc.trace(bool: true, hideStatusMsg: false)